{# contracts template #}
<article class="node container" role="article">
{% if contracts is null %}
  {{ "An error occured during connexion to data provider."|t }}
{% elseif contracts is not empty %}
  <table class="research-contracts">
    <thead>
      <tr>
        <th>{{ "Acronym"|t }}</th>
        <th>{{ "Object"|t }}</th>
        <th>{{ "Partner"|t }}</th>
        <th>{{ "Period"|t }}</th>
      </tr>
    </thead>
    <tbody>
  {% for contract in contracts %}
    {% set start_date = contract.startDate.date|date('U')|format_date('html_year') %}
    {% if contract.endDate.date is not empty %}
      {% set end_date = contract.endDate.date|date('U')|format_date('html_year') %}
      {% if end_date == start_date %}
        {% set period = start_date %}
      {% else %}
        {% set period = start_date ~ '-' ~ end_date %}
      {% endif %}
    {% else %}
      {% set period = start_date ~ ' …' %}
    {% endif %}
      <tr>
        <td>{{ contract.acronym }}</td>
        <td>{{ contract.object }}</td>
        <td>{{ contract.partner }}</td>
        <td>{{ period }}</td>
      </tr>
  {% endfor %}
    </tbody>
  </table>
{% else %}
  {{ "No research contracts found."|t }}
{% endif %}
</article>
